Upstream information

CVE-2017-13720 at MITRE

Description

In the PatternMatch function in fontfile/fontdir.c in libXfont through 1.5.2 and 2.x before 2.0.2, an attacker with access to an X connection can cause a buffer over-read during pattern matching of fonts, leading to information disclosure or a crash (denial of service). This occurs because '\0' characters are incorrectly skipped in situations involving ? characters.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.6 1.7
Vector AV:L/AC:L/Au:N/C:P/I:N/A:P AV:L/AC:L/Au:S/C:N/I:P/A:N
Access Vector Local Local
Access Complexity Low Low
Authentication None Single
Confidentiality Impact Partial None
Integrity Impact None Partial
Availability Impact Partial None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.1 3.3
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:N
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact None Low
Availability Impact High None
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1054285 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • libXfont >= 1.5.1-11.3.12
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-230
SUSE Linux Enterprise Desktop 12 SP3
  • libXfont >= 1.5.1-11.3.12
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-230
SUSE Linux Enterprise Desktop 12 SP4
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libXfont1
SUSE Linux Enterprise Module for Basesystem 15
  • libXfont-devel >= 1.5.4-1.17
  • libXfont1 >= 1.5.4-1.17
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libXfont-devel
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libXfont-devel >= 1.5.4-1.17
  • libXfont1 >= 1.5.4-1.17
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libXfont-devel
SUSE Linux Enterprise Server 11 SP4
  • xorg-x11-libs >= 7.4-8.26.50.5.3
  • xorg-x11-libs-32bit >= 7.4-8.26.50.5.3
  • xorg-x11-libs-x86 >= 7.4-8.26.50.5.3
Patchnames:
slessp4-xorg-x11-libs-13444
SUSE Linux Enterprise Server 12 SP2
  • libXfont >= 1.5.1-11.3.12
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-230
SUSE Linux Enterprise Server 12 SP3
  • libXfont >= 1.5.1-11.3.12
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-230
SUSE Linux Enterprise Server 12 SP4
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libXfont1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libXfont >= 1.5.1-11.3.12
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-230
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • xorg-x11-libs >= 7.4-8.26.50.5.3
  • xorg-x11-libs-32bit >= 7.4-8.26.50.5.3
  • xorg-x11-libs-x86 >= 7.4-8.26.50.5.3
Patchnames:
slessp4-xorg-x11-libs-13444
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libXfont >= 1.5.1-11.3.12
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-230
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libXfont >= 1.5.1-11.3.12
  • libXfont1 >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-230
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xorg-x11-devel >= 7.4-8.26.50.5.3
  • xorg-x11-devel-32bit >= 7.4-8.26.50.5.3
  • xorg-x11-libs >= 7.4-8.26.50.5.3
Patchnames:
sdksp4-xorg-x11-libs-13444
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libXfont >= 1.5.1-11.3.12
  • libXfont-devel >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-230
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libXfont >= 1.5.1-11.3.12
  • libXfont-devel >= 1.5.1-11.3.12
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-230
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libXfont-devel >= 1.5.1-11.3.12
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libXfont-devel
openSUSE Leap 42.2
  • libXfont >= 1.5.1-9.3.1
  • libXfont-debugsource >= 1.5.1-9.3.1
  • libXfont-devel >= 1.5.1-9.3.1
  • libXfont-devel-32bit >= 1.5.1-9.3.1
  • libXfont1 >= 1.5.1-9.3.1
  • libXfont1-32bit >= 1.5.1-9.3.1
  • libXfont1-debuginfo >= 1.5.1-9.3.1
  • libXfont1-debuginfo-32bit >= 1.5.1-9.3.1
Patchnames:
openSUSE-2017-1357
openSUSE Leap 42.3
  • libXfont >= 1.5.1-13.1
  • libXfont-debugsource >= 1.5.1-13.1
  • libXfont-devel >= 1.5.1-13.1
  • libXfont-devel-32bit >= 1.5.1-13.1
  • libXfont1 >= 1.5.1-13.1
  • libXfont1-32bit >= 1.5.1-13.1
  • libXfont1-debuginfo >= 1.5.1-13.1
  • libXfont1-debuginfo-32bit >= 1.5.1-13.1
Patchnames:
openSUSE-2018-124


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 libXfont Released
SUSE Linux Enterprise Desktop 12 SP3 libXfont Released
SUSE Linux Enterprise SDK 12 SP2 libXfont Released
SUSE Linux Enterprise SDK 12 SP3 libXfont Released
SUSE Linux Enterprise Server 12 GA LTSS libXfont Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libXfont Affected
SUSE Linux Enterprise Server 12 SP2 libXfont Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI libXfont Released
SUSE Linux Enterprise Server 12 SP3 libXfont Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libXfont Released